Bug 5403

Summary: DBD::Pg not thread-safe
Product: [Development] Sisyphus Reporter: Andrew Fediushin <andrew@webushka.pp.ru>
Component: perl-DBD-PgAssignee: Vladimir Lettiev <crux@altlinux.org>
Status: CLOSED FIXED QA Contact: qa-sisyphus@altlinux.org
Severity: normal    
Priority: P2 CC: at@altlinux.org, cas@altlinux.org, ender@altlinux.org, force@altlinux.org, ldv@altlinux.org, mike@altlinux.org, misha@altlinux.org, mithraen@altlinux.org, pma@altlinux.org, qa_viy@altlinux.org, shaba@altlinux.org, viy@altlinux.org
Version: unstable   
Hardware: all   
OS: Linux   
URL: http://webushka.pp.ru/dbdpg.tar.gz

Description From 2004-10-27 01:31:23
Модуль DBD::Pg невозможно использовать в многопоточной среде.
Возникала ошибка:
thread failed to start: DBD::Pg::dr connect failed: handle 1 is owned by thread
8134e48 not current thread 509b60 (handles can't be shared between threads and
your driver may need a CLONE method added) at
/usr/lib/perl5/vendor_perl/i386-linux/DBI.pm line 595.

Как оказалось из-за отсутствия трёх строчек в исходниках - не реализован метод
CLONE.
Патч, исправляющий это, прилагается.
Также прилагается тест.
------- Comment #1 From 2005-02-03 20:10:35 -------
* Thu Feb 03 2005 Alexey Tourbin <at@altlinux> 1.32-alt3
- added CLONE method for use with threads (Andrew Fediushin, #5403, cpan #11365)
------- Comment #2 From 2005-03-03 01:14:13 -------
* Thu Mar 03 2005 Alexey Tourbin <at@altlinux> 1.40-alt1
- 1.32 -> 1.40
- alt-CLONE.patch merged upstream (Andrew Fediushin, #5403, cpan #11365)